<%@page import="java.sql.Timestamp"%>
<%@page import="com.sas.oprisk.framework.server.util.*" %>
<%@page import="com.sas.oprisk.server.ApplicationProperties"%>
<%@page import="java.util.*"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalAreaHandle"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.AssessmentUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.web.tag.field.ComponentFieldRenderer"%>
<%@page import="com.sas.oprisk.monitor.web.cpb.runtime.component.assessment.PopAsblTableComponent"%>
<%@page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.*"%>
<%@page import="com.sas.oprisk.server.logical.DimensionalArea"%>

<%@ include file="/tiles/taglibs.jsp" %>


<%@page import="com.sas.oprisk.monitor.web.table.CustomTableComponentAction"%>
<%@page import="com.sas.oprisk.server.cpb.uiDefType.BaseAssessmentUIDefinitionType"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBWebConstants"%><%
   final ResourceBundle bundle = ApplicationProperties.getBundle(request.getLocale());
   final PersistenceSession psession = MonitorContext.getPersistenceSession(request);

   final UIContext uiContext = RequestUtil.getUIContext(request);
   final ComponentFieldRenderer.ComponentInfo componentInfo =
      ComponentFieldRenderer.getComponentInfo(request);
   final String fieldName = componentInfo.getField().getName();
   
   Map<String,Object> params = componentInfo.getField().getParameters(uiContext);
   
   boolean alwaysShowRemove = false;
   if (params.get(PopAsblTableComponent.PARAM_ALLOW_REMOVE_AFTER_VALIDATE) != null)
      alwaysShowRemove = Boolean.parseBoolean(params.get(PopAsblTableComponent.PARAM_ALLOW_REMOVE_AFTER_VALIDATE).toString());
   
   final Assessment assessment = (Assessment)uiContext.getValue(
      MonitorUIContext.DefaultField.BUSINESS_OBJECT.getName());
   Timestamp lastInvalidationTimeWhenNotOpen =assessment.getLastInvalidationTimeWhenNotOpen(psession);
   final DimensionalArea location = assessment == null ? DimensionalArea.object.getTop(psession)
      : assessment.getLocation(psession);
   
   final AssessableTypeCd asblTypeCd = ((PopAsblTableComponent)componentInfo.getComponent()).getAssessableTypeCd();
   final String asblType = asblTypeCd.getValue();
   
   String asblTableEntryName = null;
   String selectAsblAction = null;
   String selectAsblKey = null;
   String createAsblKey = null;
   boolean canAddAsbls = false;
   boolean canCreateAsbls = false;

   // === begin differences in assessable types
   if (AssessableTypeCd.control.equals(asblTypeCd)) {
      asblTableEntryName = PopAsblTableAction.TABLE_CONTROLS;
      selectAsblAction = "PopulatedControlChooser";
      selectAsblKey = "AssessmentWizard.scoping.button.addControl.txt";
      createAsblKey = "AssessmentWizard.scoping.button.createControl.txt";
      
      // controls don't have to be created at the same location as the sheet
      canCreateAsbls = ControlInstance.object.canSomewhere(Do.CREATE, psession);
      canAddAsbls = ControlInstance.object.canSomewhere(Do.READ, psession); 
   } else if (AssessableTypeCd.potentialImpact.equals(asblTypeCd)) {
      asblTableEntryName = PopAsblTableAction.TABLE_IMPACTS;
      selectAsblAction = "PopulatedImpactChooser";
      selectAsblKey = "AssessmentWizard.scoping.button.addImpact.txt";
      createAsblKey = "AssessmentWizard.scoping.button.createImpact.txt";
      
      // impacts don't have to be created at the same location as the sheet
      canCreateAsbls = PotentialImpact.object.canSomewhere(Do.CREATE, psession);
      canAddAsbls = PotentialImpact.object.canSomewhere(Do.READ, psession); 
   } else { // assume risks, for now
      asblTableEntryName = PopAsblTableAction.TABLE_RISKS;
      selectAsblAction = "PopulatedRiskChooser";
      selectAsblKey = "AssessmentWizard.scoping.button.addRisk.txt";
      createAsblKey = "AssessmentWizard.scoping.button.createRisk.txt";
      
      canCreateAsbls = RiskInstance.object.can(Do.CREATE, location, psession);
      canAddAsbls = canCreateAsbls; // adding a risk will create a risk, if the areas don't match 
   }
   
   request.setAttribute("canAddAsbls", Boolean.valueOf(canAddAsbls));
   request.setAttribute("canCreateAsbls", Boolean.valueOf(canCreateAsbls));

   final String noneSelectedTxt = bundle.getString("application.noDefaultDropDownSelection.txt");
   final String tip = bundle.getString("application.selectuser.tooltip.txt"); 
   final String img = bundle.getString("application.selectuser.image");
   final String selectAsbl = bundle.getString(selectAsblKey);
   final String createAsbl = bundle.getString(createAsblKey);
   final String assessorHandles = BaseAssessmentUIDefinitionType.getAssessorHandles(uiContext);
   final String sheetHandles = BaseAssessmentUIDefinitionType.getAnswerSheetHandles(uiContext);
   
   final boolean canRemoveAsbls = AssessmentAnswerSheet.object.can(Do.UPDATE, location, psession);
   boolean readOnly = componentInfo.isReadOnly();
%>   

    <mon:tableComponent entryName="<%= asblTableEntryName %>" id="assessable">
        <%
           if (!readOnly) {
        %>
           <c:if test="${canAddAsbls}" >
              <mon:action href='javascript:select${componentInfo.component.assessableTypeCd}Assessable()'><%=selectAsbl%></mon:action>
           </c:if>
           <c:if test="${canCreateAsbls}" >
              <mon:action href='javascript:create${componentInfo.component.assessableTypeCd}Assessable()'><%=createAsbl%></mon:action>
           </c:if>
        <%
           }
        %>
        <%
           if (!readOnly) { 
                 PrepopulatedAssessableEntry asblEntry = (PrepopulatedAssessableEntry)pageContext.getAttribute("assessable");
                 boolean allowClear = false;
                 String onChangeString = null;
                 String title = null;
                 
                 if (asblEntry != null) {
                    allowClear = !noneSelectedTxt.equals(asblEntry.getAssessor());
                    onChangeString = "'" + asblEntry.getAnswerSheetHandle() + "','" + asblEntry.getAssessableHandle() + "'," + allowClear;
                    
                    // double escape because it is going in an href
                    title = ParsingUtils.escape(ParsingUtils.escape(asblEntry.getTitle()));
                 }
        %>
                  
            <!-- Assign To Column -->    
            <mon:fixedColumn width='1%' title='<%= bundle.getString("AssessmentWizard.scoping.populatedRisks.assignTo.title.txt") %>' before="false" >  
               <% 
                  if (noneSelectedTxt.equals(asblEntry.getAssessor())) {
                     String imgText="&nbsp;<a href=\"javascript:selectNew" + asblType + "Assessor" + "(" + onChangeString +  ");\">"
                                  + "<img src=\"" + img + "\" border=\"0\" alt=\"" 
                                  + tip + "\" title=\"" + tip + "\"></a>";
                     out.print(imgText);
                  } else {
                     out.print("&nbsp;");
                  }
               %>
            </mon:fixedColumn> 

<%          if (canRemoveAsbls) {%>  
               <!-- Remove Column -->    
               <mon:fixedColumn width='1%' title='<%= bundle.getString("application.remove.txt") %>' before="false" >
               <%
                   PrepopulatedAssessableEntry entry= (PrepopulatedAssessableEntry) pageContext.getAttribute("assessable");
                   AssessmentAnswerSheet  answerSheet = entry.getAnswerSheet();
                   boolean showRemove=true;
                   if (answerSheet==null){
                      showRemove=true;
                   }else{
                      // -- if answer sheet was sent then allow removing only if they were not contained in the snapshot of popsAsbls at the time the last invalidation
                      if (answerSheet.getSentDttm()!=null ){
                             if (lastInvalidationTimeWhenNotOpen==null){
                                showRemove=true;
                             }else{
                                showRemove=  (entry.getPopulatedAssessable().isDirty()) || entry.getPopulatedAssessable().getValidFrom().after(lastInvalidationTimeWhenNotOpen);                                  
                             }
                      }
                   }
               
                   if (showRemove || alwaysShowRemove){
               
               %>
                  <a href="javascript:remove<%= asblType %>Assessable('<c:out value="${assessable.assessableHandle}" />', '<c:out value="${assessable.answerSheetHandle}" />', '<%= title %>')"><img 
                     border="0" src="<fmt:message key='application.remove.image' />"  
                     alt="<fmt:message key='application.remove.txt'/>" 
                     title="<fmt:message key='application.remove.txt'/>"/></a>
                     
                 <% } %>
               </mon:fixedColumn>
<%          } %>               
        <% } %>
    </mon:tableComponent>

   <c:if test="${PATA_hasInvisibleAssessables}">
      <mon:InfoMessage>
         <fmt:message key="Assessment.hasInvisibleAssessables.txt" />
      </mon:InfoMessage>
   </c:if>
