
-- This file has any sql that cannot be created implicitly via Monitor-ddl.sql. 




Create unique Index USR_SUR_ND_IX1 on USER_SURVIVOR_NODE(USER_RK,DIM_RELATION_RK,INTERSECTION_TXT,DIMENSION_NM,USER_NODE_RK,INT_NODE_RK,BUSINESS_OBJECT_NM,ACTION_CD) 
;
CREATE  INDEX REL_INTR_IX0 on RELATION_INTERSECTION(MANAGEMENT_ORG_RK)
;
CREATE  INDEX REL_INTR_IX1 on RELATION_INTERSECTION(PROCESS_RK)
;
CREATE  INDEX REL_INTR_IX2 on RELATION_INTERSECTION(RISK_CAT_RK)
;
CREATE  INDEX REL_INTR_IX3 on RELATION_INTERSECTION(BL_RK)
;
CREATE  INDEX REL_INTR_IX4 on RELATION_INTERSECTION(GEOGRAPHY_RK)
;
CREATE  INDEX REL_INTR_IX5 on RELATION_INTERSECTION(LEGAL_ORG_RK)
;
CREATE  INDEX REL_INTR_IX6 on RELATION_INTERSECTION(COST_CENTER_RK)
;
CREATE  INDEX REL_INTR_IX7 on RELATION_INTERSECTION(AUX_ORG_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX8 on RELATION_INTERSECTION(PRODUCT_RK)
;
CREATE  INDEX REL_INTR_IX9 on RELATION_INTERSECTION(PROJECT_RK)
;
CREATE  INDEX REL_INTR_IX10 on RELATION_INTERSECTION(RESOURCE_DIM_RK)
;
CREATE  INDEX REL_INTR_IX11 on RELATION_INTERSECTION(OBJECTIVE_RK)
;
CREATE  INDEX REL_INTR_IX12 on RELATION_INTERSECTION(AUX_OP_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX13 on RELATION_INTERSECTION(CAUSE_RK)
;
CREATE  INDEX REL_INTR_IX14 on RELATION_INTERSECTION(NFI_TYPE_RK)
;
CREATE  INDEX REL_INTR_IX15 on RELATION_INTERSECTION(AUX_RISK_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX16 on RELATION_INTERSECTION(CONTROL_RK)
;
CREATE  INDEX REL_INTR_IX17 on RELATION_INTERSECTION(AUX_RMG_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX18 on RELATION_INTERSECTION(BASEL_BL_RK)
;
CREATE  INDEX REL_INTR_IX19 on RELATION_INTERSECTION(BASEL_RISK_CAT_RK)
;
CREATE  INDEX REL_INTR_IX20 on RELATION_INTERSECTION(STD_PROC_RK)
;
CREATE  INDEX REL_INTR_IX21 on RELATION_INTERSECTION(FSI_RK)
;
CREATE  INDEX REL_INTR_IX22 on RELATION_INTERSECTION(AUX_RPT_DIM_1_RK)
;
create index dim_pt_ix24_l on dim_point_l(dim_point_rk)
;
create index REL_INTR_IX23 on RELATION_INTERSECTION(INTERSECTION_TXT);


insert into business_object_type values ('actionPlan', 'ACTION_PLAN');
insert into business_object_type values ('allocation', 'FINANCIAL_IMPACT');
insert into business_object_type values ('answerSheetReviewer', 'ANSWER_SHEET_REVIEWER');
insert into business_object_type values ('assessedItem', 'ASSESSED_ITEM');
insert into business_object_type values ('assessment', 'ASSESSMENT');
insert into business_object_type values ('assessmentAnswer', 'ANSWER');
insert into business_object_type values ('assessmentAnswerSheet', 'ANSWER_SHEET');
insert into business_object_type values ('assessmentQuestion', 'ASSESSMENT_QUESTION_MASTER');
insert into business_object_type values ('assessmentQuestionGroup', 'QUESTION_GRP_MASTER');
insert into business_object_type values ('attachment', 'ATTACHMENT');
insert into business_object_type values ('auxOpDim1', 'AUX_OP_DIM_1');
insert into business_object_type values ('auxOrgDim1', 'AUX_ORG_DIM_1');
insert into business_object_type values ('auxRiskDim1', 'AUX_RISK_DIM_1');
insert into business_object_type values ('auxRmgDim1', 'AUX_RMG_DIM_1');
insert into business_object_type values ('auxRptDim1', 'AUX_RPT_DIM_1');
insert into business_object_type values ('baselBusinessLine', 'BASEL_BL');
insert into business_object_type values ('baselRiskCategory', 'BASEL_RISK_CAT');
insert into business_object_type values ('businessLine', 'BL');
insert into business_object_type values ('businessPolicy', 'BUSINESS_POLICY');
insert into business_object_type values ('cause', 'CAUSE');
insert into business_object_type values ('causeInstance', 'CAUSE_INST');
insert into business_object_type values ('certificationPeriod', 'CERTIFICATION_PERIOD');
insert into business_object_type values ('changeReason', 'CHANGE_REASON');
insert into business_object_type values ('confidentialObjectInfo', 'CONFIDENTIAL_OBJECT_INFO');
insert into business_object_type values ('control', 'CONTROL');
insert into business_object_type values ('controlAssertion', 'CONTROL_ASSERTION');
insert into business_object_type values ('controlCertification', 'CONTROL_CERTIFICATION');
insert into business_object_type values ('controlInstance', 'CONTROL_INST');
insert into business_object_type values ('costCenter', 'COST_CENTER');
insert into business_object_type values ('cpi', 'CPI');
insert into business_object_type values ('creditAssessmentInstitute', 'CREDIT_ASSMT_INST');
insert into business_object_type values ('creditScore', 'CREDIT_SCORE');
insert into business_object_type values ('dimRelation', 'DIM_RELATION');
insert into business_object_type values ('dimRelationElement', 'DIM_RELATION_ELT');
insert into business_object_type values ('dimRelationTypeDescriptor', 'DIM_REL_TYPE');
insert into business_object_type values ('effect', 'FINANCIAL_IMPACT');
insert into business_object_type values ('event', 'OP_RISK_EVENT');
insert into business_object_type values ('favoriteArea', 'FAVORITE_AREA');
insert into business_object_type values ('financialStatementItem', 'FSI');
insert into business_object_type values ('genericComment', 'GENERIC_COMMENT');
insert into business_object_type values ('geography', 'GEOGRAPHY');
insert into business_object_type values ('impactDetail', 'IMPACT_DETAIL');
insert into business_object_type values ('incidentCause', 'INCIDENT_CAUSE');
insert into business_object_type values ('incidentControl', 'INCIDENT_CONTROL');
insert into business_object_type values ('insuranceBroker', 'INSURANCE_BROKER');
insert into business_object_type values ('insuranceCompany', 'INSURANCE_COMPANY');
insert into business_object_type values ('insurancePolicy', 'INSURANCE_POLICY');
insert into business_object_type values ('issue', 'OP_RISK_ISSUE');
insert into business_object_type values ('kri', 'KRI');
insert into business_object_type values ('kriObservation', 'KRI_OBS');
insert into business_object_type values ('kriObservationRequest', 'OBS_REQUEST');
insert into business_object_type values ('kriResponseScale', 'KRI_RSPNS_SCL');
insert into business_object_type values ('kriTemplate', 'KRI_TEMPLATE');
insert into business_object_type values ('legalOrg', 'LEGAL_ORG');
insert into business_object_type values ('localValidationSequence', 'LOCAL_VALIDATION_SEQ');
insert into business_object_type values ('managementOrg', 'MANAGEMENT_ORG');
insert into business_object_type values ('mitigatingAction', 'MITIGATING_ACTION');
insert into business_object_type values ('nfiType', 'NFI_TYPE');
insert into business_object_type values ('nonFinancialImpact', 'NON_FINANCIAL_IMPACT');
insert into business_object_type values ('objective', 'OBJECTIVE');
insert into business_object_type values ('populatedAssessable', 'POPULATED_ASSESSABLE');
insert into business_object_type values ('position', 'ORM_POSITION');
insert into business_object_type values ('process', 'PROCESS');
insert into business_object_type values ('product', 'PRODUCT');
insert into business_object_type values ('project', 'PROJECT');
insert into business_object_type values ('questionnaireTemplate', 'QNR_TEMPLT');
insert into business_object_type values ('ratingsTemplate', 'RATINGS_TEMPLATE');
insert into business_object_type values ('recovery', 'FINANCIAL_IMPACT');
insert into business_object_type values ('recoveryDetail', 'RECOVERY_DETAIL');
insert into business_object_type values ('reinsuranceCompany', 'REINSURANCE_COMPANY');
insert into business_object_type values ('resource', 'RESOURCE_DIM');
insert into business_object_type values ('response', 'RESPONSE');
insert into business_object_type values ('responseScale', 'RESPONSE_SCALE');
insert into business_object_type values ('responseScaleType', 'RESPONSE_SCALE_TYPE');
insert into business_object_type values ('risk', 'RISK');
insert into business_object_type values ('riskCategory', 'RISK_CAT');
insert into business_object_type values ('riskRecommendation', 'RISK_RECOMMENDATION');
insert into business_object_type values ('role', 'ORM_ROLE');
insert into business_object_type values ('samplingGuideline', 'SAMPLING_GUIDELINE');
insert into business_object_type values ('scoreOverride', 'SCORE_OVERRIDE');
insert into business_object_type values ('standardProcess', 'STD_PROC');
insert into business_object_type values ('supportiveQuestionnaire', 'SUPPORTIVE_QNR');
insert into business_object_type values ('technologyComponent', 'TECH_COMPONENT');
insert into business_object_type values ('testDefinition', 'TEST_DEFINITION');
insert into business_object_type values ('testDefinitionGroup', 'TEST_DEFINITION_GROUP');
insert into business_object_type values ('testPeriod', 'TEST_PERIOD');
insert into business_object_type values ('testPlan', 'TEST_PLAN');
insert into business_object_type values ('testResult', 'TEST_RESULT');
insert into business_object_type values ('threshold', 'THRESHOLD');
insert into business_object_type values ('unitOfMeasure', 'UNIT_OF_MEASURE');
insert into business_object_type values ('user', 'ORAUSER');
insert into business_object_type values ('validationStage', 'VALIDATION_STAGE');
insert into business_object_type values ('validationStageRule', 'VALIDATION_STAGE_RULE');
INSERT INTO business_object_type VALUES ('assessmentFrequency', 'ASSESSMENT_FREQUENCY');
INSERT INTO business_object_type VALUES ('assessmentPeriod', 'ASSESSMENT_PERIOD');
INSERT INTO business_object_type VALUES ('assessmentTrigger', 'ASSESSMENT_TRIGGER');
INSERT INTO business_object_type VALUES ('confidentialUser', 'CONFIDENTIAL_USER');
INSERT INTO business_object_type VALUES ('custFieldDefn', 'CUST_FIELD_DEFN');
INSERT INTO business_object_type VALUES ('custFieldValue', 'CUST_FIELD_VALUE');
INSERT INTO business_object_type VALUES ('dimensionalPoint', 'DIM_POINT');
INSERT INTO business_object_type VALUES ('linkInstance', 'LINK_INSTANCE');
INSERT INTO business_object_type VALUES ('linkType', 'LINK_TYPE');
INSERT INTO business_object_type VALUES ('namedList', 'NAMED_LIST');
INSERT INTO business_object_type VALUES ('namedListMapping', 'NAMED_LIST_MAPPING');
INSERT INTO business_object_type VALUES ('screenDefinition', 'SCREEN_DEFINITION');
INSERT INTO business_object_type VALUES ('testerMapping', 'TESTER_MAPPING');
INSERT INTO business_object_type VALUES ('testExecutionContext', 'TEST_EXECUTION_CONTEXT');
INSERT INTO business_object_type values('assessmentTemplate', 'ASSESSMENT');
INSERT INTO business_object_type values('scenario', 'ASSESSMENT');
insert into BUSINESS_OBJECT_TYPE values ('obligation','OBLIGATION');
insert into BUSINESS_OBJECT_TYPE values ('objectiveInstance','OBJECTIVE_INST');
insert into BUSINESS_OBJECT_TYPE values ('processInstance','PROCESS_INST');
insert into BUSINESS_OBJECT_TYPE values ('policyResponse','POLICY_RESPONSE');
insert into BUSINESS_OBJECT_TYPE values ('policy','POLICY_INST');
insert into BUSINESS_OBJECT_TYPE values ('audit','AUDIT_INST');
insert into BUSINESS_OBJECT_TYPE values ('costComponent','COST_COMPONENT');
insert into BUSINESS_OBJECT_TYPE values ('businessObjectResponse','BUSINESS_OBJECT_RESPONSE');
insert into BUSINESS_OBJECT_TYPE values ('potentialImpact','POTENTIAL_IMPACT');
insert into BUSINESS_OBJECT_TYPE values ('scenarioTopic','SCENARIO_TOPIC');
insert into BUSINESS_OBJECT_TYPE values ('potentialImpactDetail','POTENTIAL_IMPACT_DETAIL');
insert into business_object_type values ('customObject1','CUST_OBJ_1');
insert into business_object_type values ('customObject2','CUST_OBJ_2');
insert into business_object_type values ('customObject3','CUST_OBJ_3');
insert into business_object_type values ('customObject4','CUST_OBJ_4');
insert into business_object_type values ('customObject5','CUST_OBJ_5');
insert into business_object_type values ('customObject6','CUST_OBJ_6');
insert into business_object_type values ('customObject7','CUST_OBJ_7');
insert into business_object_type values ('customObject8','CUST_OBJ_8');
insert into business_object_type values ('customObject9','CUST_OBJ_9');
insert into business_object_type values ('customObject10','CUST_OBJ_10');

CREATE  INDEX TEST_RSLT_IX4_L ON TEST_RESULT_L (LAST_VALIDATED_DTTM);
CREATE  INDEX TEST_RSLT_IX4 ON TEST_RESULT (LAST_VALIDATED_DTTM);

CREATE  INDEX WKF_REGISTRY_IX0 ON WORKFLOW_REGISTRY (WORKFLOW_ID);