

-- This file has any sql that cannot be created implicitly via Monitor-ddl.sql. 




Create unique Index USR_SUR_ND_IX1 on USER_SURVIVOR_NODE(USER_RK,DIM_RELATION_RK,INTERSECTION_TXT,DIMENSION_NM,USER_NODE_RK,INT_NODE_RK,BUSINESS_OBJECT_NM,ACTION_CD) 
;
CREATE  INDEX REL_INTR_IX0 on RELATION_INTERSECTION(MANAGEMENT_ORG_RK)
;
CREATE  INDEX REL_INTR_IX1 on RELATION_INTERSECTION(PROCESS_RK)
;
CREATE  INDEX REL_INTR_IX2 on RELATION_INTERSECTION(RISK_CAT_RK)
;
CREATE  INDEX REL_INTR_IX3 on RELATION_INTERSECTION(BL_RK)
;
CREATE  INDEX REL_INTR_IX4 on RELATION_INTERSECTION(GEOGRAPHY_RK)
;
CREATE  INDEX REL_INTR_IX5 on RELATION_INTERSECTION(LEGAL_ORG_RK)
;
CREATE  INDEX REL_INTR_IX6 on RELATION_INTERSECTION(COST_CENTER_RK)
;
CREATE  INDEX REL_INTR_IX7 on RELATION_INTERSECTION(AUX_ORG_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX8 on RELATION_INTERSECTION(PRODUCT_RK)
;
CREATE  INDEX REL_INTR_IX9 on RELATION_INTERSECTION(PROJECT_RK)
;
CREATE  INDEX REL_INTR_IX10 on RELATION_INTERSECTION(RESOURCE_DIM_RK)
;
CREATE  INDEX REL_INTR_IX11 on RELATION_INTERSECTION(OBJECTIVE_RK)
;
CREATE  INDEX REL_INTR_IX12 on RELATION_INTERSECTION(AUX_OP_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX13 on RELATION_INTERSECTION(CAUSE_RK)
;
CREATE  INDEX REL_INTR_IX14 on RELATION_INTERSECTION(NFI_TYPE_RK)
;
CREATE  INDEX REL_INTR_IX15 on RELATION_INTERSECTION(AUX_RISK_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX16 on RELATION_INTERSECTION(CONTROL_RK)
;
CREATE  INDEX REL_INTR_IX17 on RELATION_INTERSECTION(AUX_RMG_DIM_1_RK)
;
CREATE  INDEX REL_INTR_IX18 on RELATION_INTERSECTION(BASEL_BL_RK)
;
CREATE  INDEX REL_INTR_IX19 on RELATION_INTERSECTION(BASEL_RISK_CAT_RK)
;
CREATE  INDEX REL_INTR_IX20 on RELATION_INTERSECTION(STD_PROC_RK)
;
CREATE  INDEX REL_INTR_IX21 on RELATION_INTERSECTION(FSI_RK)
;
CREATE  INDEX REL_INTR_IX22 on RELATION_INTERSECTION(AUX_RPT_DIM_1_RK)
;
create index dim_pt_ix24_l on dim_point_l(dim_point_rk)
;
create index REL_INTR_IX23 on RELATION_INTERSECTION(INTERSECTION_TXT)
;
Create unique Index SCR_DEFN_IX1 on SCREEN_DEFINITION_L(SCREEN_DEFINITION_ID,SCREEN_DEFINITION_TYPE_CD)
;
INSERT INTO business_object_type VALUES ('actionPlan', 'ACTION_PLAN')
;
INSERT INTO business_object_type VALUES ('allocation', 'FINANCIAL_IMPACT')
;
INSERT INTO business_object_type VALUES ('answerSheetReviewer', 'ANSWER_SHEET_REVIEWER')
;
INSERT INTO business_object_type VALUES ('assessedItem', 'ASSESSED_ITEM')
;
INSERT INTO business_object_type VALUES ('assessment', 'ASSESSMENT')
;
INSERT INTO business_object_type VALUES ('assessmentAnswer', 'ANSWER')
;
INSERT INTO business_object_type VALUES ('assessmentAnswerSheet', 'ANSWER_SHEET')
;
INSERT INTO business_object_type VALUES ('assessmentQuestion', 'ASSESSMENT_QUESTION_MASTER')
;
INSERT INTO business_object_type VALUES ('assessmentQuestionGroup', 'QUESTION_GRP_MASTER')
;
INSERT INTO business_object_type VALUES ('attachment', 'ATTACHMENT')
;
INSERT INTO business_object_type VALUES ('auxOpDim1', 'AUX_OP_DIM_1')
;
INSERT INTO business_object_type VALUES ('auxOrgDim1', 'AUX_ORG_DIM_1')
;
INSERT INTO business_object_type VALUES ('auxRiskDim1', 'AUX_RISK_DIM_1')
;
INSERT INTO business_object_type VALUES ('auxRmgDim1', 'AUX_RMG_DIM_1')
;
INSERT INTO business_object_type VALUES ('auxRptDim1', 'AUX_RPT_DIM_1')
;
INSERT INTO business_object_type VALUES ('baselBusinessLine', 'BASEL_BL')
;
INSERT INTO business_object_type VALUES ('baselRiskCategory', 'BASEL_RISK_CAT')
;
INSERT INTO business_object_type VALUES ('businessLine', 'BL')
;
INSERT INTO business_object_type VALUES ('businessPolicy', 'BUSINESS_POLICY')
;
INSERT INTO business_object_type VALUES ('cause', 'CAUSE')
;
INSERT INTO business_object_type VALUES ('causeInstance', 'CAUSE_INST')
;
INSERT INTO business_object_type VALUES ('certificationPeriod', 'CERTIFICATION_PERIOD')
;
INSERT INTO business_object_type VALUES ('changeReason', 'CHANGE_REASON')
;
INSERT INTO business_object_type VALUES ('confidentialObjectInfo', 'CONFIDENTIAL_OBJECT_INFO')
;
INSERT INTO business_object_type VALUES ('control', 'CONTROL')
;
INSERT INTO business_object_type VALUES ('controlAssertion', 'CONTROL_ASSERTION')
;
INSERT INTO business_object_type VALUES ('controlCertification', 'CONTROL_CERTIFICATION')
;
INSERT INTO business_object_type VALUES ('controlInstance', 'CONTROL_INST')
;
INSERT INTO business_object_type VALUES ('costCenter', 'COST_CENTER')
;
INSERT INTO business_object_type VALUES ('cpi', 'CPI')
;
INSERT INTO business_object_type VALUES ('creditAssessmentInstitute', 'CREDIT_ASSMT_INST')
;
INSERT INTO business_object_type VALUES ('creditScore', 'CREDIT_SCORE')
;
INSERT INTO business_object_type VALUES ('dimRelation', 'DIM_RELATION')
;
INSERT INTO business_object_type VALUES ('dimRelationElement', 'DIM_RELATION_ELT')
;
INSERT INTO business_object_type VALUES ('dimRelationTypeDescriptor', 'DIM_REL_TYPE')
;
INSERT INTO business_object_type VALUES ('effect', 'FINANCIAL_IMPACT')
;
INSERT INTO business_object_type VALUES ('event', 'OP_RISK_EVENT')
;
INSERT INTO business_object_type VALUES ('favoriteArea', 'FAVORITE_AREA')
;
INSERT INTO business_object_type VALUES ('financialStatementItem', 'FSI')
;
INSERT INTO business_object_type VALUES ('genericComment', 'GENERIC_COMMENT')
;
INSERT INTO business_object_type VALUES ('geography', 'GEOGRAPHY')
;
INSERT INTO business_object_type VALUES ('impactDetail', 'IMPACT_DETAIL')
;
INSERT INTO business_object_type VALUES ('incidentCause', 'INCIDENT_CAUSE')
;
INSERT INTO business_object_type VALUES ('incidentControl', 'INCIDENT_CONTROL')
;
INSERT INTO business_object_type VALUES ('insuranceBroker', 'INSURANCE_BROKER')
;
INSERT INTO business_object_type VALUES ('insuranceCompany', 'INSURANCE_COMPANY')
;
INSERT INTO business_object_type VALUES ('insurancePolicy', 'INSURANCE_POLICY')
;
INSERT INTO business_object_type VALUES ('issue', 'OP_RISK_ISSUE')
;
INSERT INTO business_object_type VALUES ('kri', 'KRI')
;
INSERT INTO business_object_type VALUES ('kriObservation', 'KRI_OBS')
;
INSERT INTO business_object_type VALUES ('kriObservationRequest', 'OBS_REQUEST')
;
INSERT INTO business_object_type VALUES ('kriResponseScale', 'KRI_RSPNS_SCL')
;
INSERT INTO business_object_type VALUES ('kriTemplate', 'KRI_TEMPLATE')
;
INSERT INTO business_object_type VALUES ('legalOrg', 'LEGAL_ORG')
;
INSERT INTO business_object_type VALUES ('localValidationSequence', 'LOCAL_VALIDATION_SEQ')
;
INSERT INTO business_object_type VALUES ('managementOrg', 'MANAGEMENT_ORG')
;
INSERT INTO business_object_type VALUES ('mitigatingAction', 'MITIGATING_ACTION')
;
INSERT INTO business_object_type VALUES ('nfiType', 'NFI_TYPE')
;
INSERT INTO business_object_type VALUES ('nonFinancialImpact', 'NON_FINANCIAL_IMPACT')
;
INSERT INTO business_object_type VALUES ('objective', 'OBJECTIVE')
;
INSERT INTO business_object_type VALUES ('populatedAssessable', 'POPULATED_ASSESSABLE')
;
INSERT INTO business_object_type VALUES ('position', 'ORM_POSITION')
;
INSERT INTO business_object_type VALUES ('process', 'PROCESS')
;
INSERT INTO business_object_type VALUES ('product', 'PRODUCT')
;
INSERT INTO business_object_type VALUES ('project', 'PROJECT')
;
INSERT INTO business_object_type VALUES ('questionnaireTemplate', 'QNR_TEMPLT')
;
INSERT INTO business_object_type VALUES ('ratingsTemplate', 'RATINGS_TEMPLATE')
;
INSERT INTO business_object_type VALUES ('recovery', 'FINANCIAL_IMPACT')
;
INSERT INTO business_object_type VALUES ('recoveryDetail', 'RECOVERY_DETAIL')
;
INSERT INTO business_object_type VALUES ('reinsuranceCompany', 'REINSURANCE_COMPANY')
;
INSERT INTO business_object_type VALUES ('resource', 'RESOURCE_DIM')
;
INSERT INTO business_object_type VALUES ('response', 'RESPONSE')
;
INSERT INTO business_object_type VALUES ('responseScale', 'RESPONSE_SCALE')
;
INSERT INTO business_object_type VALUES ('responseScaleType', 'RESPONSE_SCALE_TYPE')
;
INSERT INTO business_object_type VALUES ('risk', 'RISK')
;
INSERT INTO business_object_type VALUES ('riskCategory', 'RISK_CAT')
;
INSERT INTO business_object_type VALUES ('riskRecommendation', 'RISK_RECOMMENDATION')
;
INSERT INTO business_object_type VALUES ('role', 'ORM_ROLE')
;
INSERT INTO business_object_type VALUES ('samplingGuideline', 'SAMPLING_GUIDELINE')
;
INSERT INTO business_object_type VALUES ('scoreOverride', 'SCORE_OVERRIDE')
;
INSERT INTO business_object_type VALUES ('standardProcess', 'STD_PROC')
;
INSERT INTO business_object_type VALUES ('supportiveQuestionnaire', 'SUPPORTIVE_QNR')
;
INSERT INTO business_object_type VALUES ('technologyComponent', 'TECH_COMPONENT')
;
INSERT INTO business_object_type VALUES ('testDefinition', 'TEST_DEFINITION')
;
INSERT INTO business_object_type VALUES ('testDefinitionGroup', 'TEST_DEFINITION_GROUP')
;
INSERT INTO business_object_type VALUES ('testPeriod', 'TEST_PERIOD')
;
INSERT INTO business_object_type VALUES ('testPlan', 'TEST_PLAN')
;
INSERT INTO business_object_type VALUES ('testResult', 'TEST_RESULT')
;
INSERT INTO business_object_type VALUES ('threshold', 'THRESHOLD')
;
INSERT INTO business_object_type VALUES ('unitOfMeasure', 'UNIT_OF_MEASURE')
;
INSERT INTO business_object_type VALUES ('user', 'ORAUSER')
;
INSERT INTO business_object_type VALUES ('validationStage', 'VALIDATION_STAGE')
;
INSERT INTO business_object_type VALUES ('validationStageRule', 'VALIDATION_STAGE_RULE')
;
INSERT INTO business_object_type VALUES ('assessmentFrequency', 'ASSESSMENT_FREQUENCY')
;
INSERT INTO business_object_type VALUES ('assessmentPeriod', 'ASSESSMENT_PERIOD')
;
INSERT INTO business_object_type VALUES ('assessmentTrigger', 'ASSESSMENT_TRIGGER')
;
INSERT INTO business_object_type VALUES ('confidentialUser', 'CONFIDENTIAL_USER')
;
INSERT INTO business_object_type VALUES ('custFieldDefn', 'CUST_FIELD_DEFN')
;
INSERT INTO business_object_type VALUES ('custFieldValue', 'CUST_FIELD_VALUE')
;
INSERT INTO business_object_type VALUES ('dimensionalPoint', 'DIM_POINT')
;
INSERT INTO business_object_type VALUES ('linkInstance', 'LINK_INSTANCE')
;
INSERT INTO business_object_type VALUES ('linkType', 'LINK_TYPE')
;
INSERT INTO business_object_type VALUES ('namedList', 'NAMED_LIST')
;
INSERT INTO business_object_type VALUES ('namedListMapping', 'NAMED_LIST_MAPPING')
;
INSERT INTO business_object_type VALUES ('screenDefinition', 'SCREEN_DEFINITION')
;
INSERT INTO business_object_type VALUES ('testerMapping', 'TESTER_MAPPING')
;
INSERT INTO business_object_type VALUES ('testExecutionContext', 'TEST_EXECUTION_CONTEXT')
;
INSERT INTO business_object_type values('assessmentTemplate', 'ASSESSMENT')
;
INSERT INTO business_object_type values('scenario', 'ASSESSMENT')
;
insert into BUSINESS_OBJECT_TYPE values ('obligation','OBLIGATION')
;
insert into BUSINESS_OBJECT_TYPE values ('objectiveInstance','OBJECTIVE_INST')
;
insert into BUSINESS_OBJECT_TYPE values ('processInstance','PROCESS_INST')
;
insert into BUSINESS_OBJECT_TYPE values ('policyResponse','POLICY_RESPONSE')
;
insert into BUSINESS_OBJECT_TYPE values ('policy','POLICY_INST')
;
insert into BUSINESS_OBJECT_TYPE values ('audit','AUDIT_INST')
;
insert into BUSINESS_OBJECT_TYPE values ('costComponent','COST_COMPONENT')
;
insert into BUSINESS_OBJECT_TYPE values ('businessObjectResponse','BUSINESS_OBJECT_RESPONSE')
;
insert into BUSINESS_OBJECT_TYPE values ('potentialImpact','POTENTIAL_IMPACT')
;
insert into BUSINESS_OBJECT_TYPE values ('scenarioTopic','SCENARIO_TOPIC')
;
insert into BUSINESS_OBJECT_TYPE values ('potentialImpactDetail','POTENTIAL_IMPACT_DETAIL')
;
insert into business_object_type values ('customObject1','CUST_OBJ_1')
;
insert into business_object_type values ('customObject2','CUST_OBJ_2')
;
insert into business_object_type values ('customObject3','CUST_OBJ_3')
;
insert into business_object_type values ('customObject4','CUST_OBJ_4')
;
insert into business_object_type values ('customObject5','CUST_OBJ_5')
;
insert into business_object_type values ('customObject6','CUST_OBJ_6')
;
insert into business_object_type values ('customObject7','CUST_OBJ_7')
;
insert into business_object_type values ('customObject8','CUST_OBJ_8')
;
insert into business_object_type values ('customObject9','CUST_OBJ_9')
;
insert into business_object_type values ('customObject10','CUST_OBJ_10')
;
CREATE  INDEX TEST_RSLT_IX4_L ON TEST_RESULT_L (LAST_VALIDATED_DTTM)
;
CREATE  INDEX TEST_RSLT_IX4 ON TEST_RESULT (LAST_VALIDATED_DTTM)
;
CREATE  INDEX WKF_REGISTRY_IX0 ON WORKFLOW_REGISTRY (WORKFLOW_ID) 
;