<%@page import="com.sas.oprisk.server.workflow.WorkflowUtil"%>
<%@ page import="java.util.*"%>
<%@ page import="java.io.*"%>
<%@ page import="com.sas.oprisk.server.*"%>
<%@ page import="com.sas.solutions.cpb.runtime.*"%>
<%@ page import="com.sas.solutions.cpb.screendefs.*"%>
<%@ page import="com.sas.solutions.cpb.screendefs.xml.validator.*"%>
<%@ page import="com.sas.oprisk.monitor.web.cpb.runtime.*"%>
<%@ page import="com.sas.oprisk.server.iap.Commentable"%>
<%@ page import="com.sas.oprisk.server.AttachmentContainer"%>
<%@ page import="org.apache.struts.action.ActionMapping"%>
<%@ page
   import="com.sas.oprisk.monitor.web.incident.EffectFormPageModel"%>
<%@ page
   import="com.sas.oprisk.server.cpb.uiDefType.FinancialEffectUIDefinitionType"%>
<%@ page import="com.sas.oprisk.server.web.cpb.runtime.MonitorUIContext"%>
<%@ page import="com.sas.solutions.cpb.web.util.RequestUtil"%>
<%@ include file="/tiles/taglibs.jsp"%>
<%@page import="com.sas.solutions.cpb.util.FieldUtil"%>
<%
   final Locale locale = request.getLocale();
   final ResourceBundle bundle = ApplicationProperties
         .getBundle(locale);
   final boolean readOnly = Boolean.TRUE.equals(request
         .getAttribute("readOnly"));
   final PersistenceSession psession = MonitorContext
         .getPersistenceSession(request);
   EffectFormPageModel model = (EffectFormPageModel) request
         .getAttribute("model");
   final MonitorUIContext uiContext = (MonitorUIContext) RequestUtil
         .getUIContext(request);
   String effectNatureCd = (String) uiContext
         .getValue(FieldUtil
               .formatFieldName(FinancialEffectUIDefinitionType.FIELD_EFFECT_NATURE_CD));
   final String doneAsCloseValue = request.getAttribute("doneAsClose") != null
         ? (String) request.getAttribute("doneAsClose")
         : "false";
               
   final String template = request.getAttribute("template") != null
         ? (String) request.getAttribute("template")
         : "details";
         
%>
<mon:Page template="<%= template %>">
   <%-- BEGIN PAGE --%>

   <mon:Head>
      <%-- BEGIN HEAD --%>
      <mon:include js="/script/checkboxRadioUtil.js" />

      <script type="text/javascript">
function doFinancialEffect(method, anchor) {
   var f = getForm();
   f.action = "<%=request.getContextPath()%>/FinancialEffect.do"
      + "?method=" + method;
      
   if (anchor) {
      f.action = f.action + "#" + anchor;
   }
      
   f.submit();
}

function doSave(method, anchor) {
   var f = getForm();
   f.action = "<%=request.getContextPath()%>/FinancialEffectSave.do"
      + "?method=" + method;

   if (anchor) {
      f.action = f.action + "#" + anchor;
   }

   f.submit();
}

function doWorkflowStatus(actionId, workflowActivityId, workflowStatusId, msg) {
   var doIt = true;  

   if (msg != "") {
      if (!confirm(msg)) {
         unLockCommandButtons();
         doIt = false;
      }
   }

   if (doIt) {
      // show the "Please Wait" dialog (if configured)
      beginWait();
      
      var f = document.forms[0]; 
      f.action = "<%= request.getContextPath() %>/FinancialEffectSave.do?method=doWorkflow&action=" + actionId
                + "&<%= WorkflowWebUtil.PARAM_WORKFLOW_ACTIVITY_ID %>=" + workflowActivityId
                + "&<%= WorkflowWebUtil.PARAM_WORKFLOW_STATUS_ID %>=" + workflowStatusId;
      f.submit();
   }
}

function forward(path, refreshMethod, anchor) {
   var method = "forward" + "&path=" + escape(path);
   if (refreshMethod) {
      method += "&rm=" + refreshMethod;
   }
   doFinancialEffect(method, anchor);
}

function submitToAction(action) {
  var f = getForm();
  f.action = action;
  f.submit();
}

function go(action,extraParams) {
  var url = "<%=request.getContextPath()%>/FinancialEffect.do?method=" + action + "&doneAsCloseValue=<%=doneAsCloseValue%>";
  if (extraParams != null) url = url + "&" + extraParams;
  submitToAction( url );
}

function forward(path, anchor) {
  path = escape(path);
  if (anchor && (anchor != "")) {
    path += "#" + anchor;
  }
  go('forward', 'path=' + path );
}

function forward2(path) {
  path = escape(path);
  go('forward', 'rm=refresh2&unlockEffect=true&path=' + path );
}

function getForm()
{
   return document.getElementById("<%=model.getFormName()%>");
}

function popupEffectAmountDialog( method, impactDetailHandle ) {
   popupAnchor = "#EFFECTAMOUNTS";
   openModal(
      "<%=request.getContextPath() %>"
      + getEffectAmountURL(method, impactDetailHandle),
      "popupImpactDetail", "width=1100,height=650,scrollbars,resizable");
}

function getEffectAmountURL(method, impactDetailHandle) {
   var form = getForm();

   // Retrieve the value of the effect nature cd from the form, if it is present.  
   // If not, use the value we got from the context.
   var effectNatureCdField = form.elements["<%=FieldUtil
                     .formatFieldName(FinancialEffectUIDefinitionType.FIELD_EFFECT_NATURE_CD)%>"];
   var effectNatureCd = effectNatureCdField ? effectNatureCdField.value : '<%=effectNatureCd%>';
   
   return "/EffectAmount.do?method=" + method
      + "&handle=" + form.handle.value 
      + "&impactDetailHandle=" + impactDetailHandle
      + "&locationHandle=" + form.elements["<%=FieldUtil
                     .formatFieldName(FinancialEffectUIDefinitionType.FIELD_POINT_LOCATION)%>"].value
      + "&effectNatureCd=" + effectNatureCd
      + "&readOnly=" + "<%=readOnly%>";
}

function editEffectAmount( handle ) {
   popupEffectAmountDialog('edit', handle);
}

function addEffectAmount() {
   popupEffectAmountDialog('add', '');
}

function deleteEffectAmount( handle ) {
   forward(getEffectAmountURL('deleteAndReturn', handle), "EFFECTAMOUNTS");
}

function editLinkedIncident( handle ) {
   var path = "/NewIncident.do?method=acceptIncident&handle=" + handle;
   forward2(path);
}

function removeLinkedIncident( handle ) {
   doFinancialEffect('removeLinkedIncident');
}

function linkToIncident() {
   var form = getForm();
   openModal("<%=request.getContextPath()%>/LinkToIncidentQuery.do?"
      + "financialImpactHandle=" + form.handle.value + "&commit=false",
      "link_popup", "width=1100,height=500,scrollbars,resizable");
}

function doLink(url) {
   submitToAction( url );
}
 

<%-- Page refresh method to be called by popups --%>
function popupCloser_refresh() {
   var form = getForm();
   form.action = 
           "<%=request.getContextPath() + "/"%>" + "FinancialEffect.do?method=refresh"
           + popupAnchor;
   form.submit();
}

addLoadEvent(setFocus);

</script>
      <%-- END HEAD --%>
   </mon:Head>

   <mon:Body>
      <%-- BEGIN BODY --%>

      <html:form action="/FinancialEffect">

         <mon:ToolBar>
            <%-- BEGIN TOOL BAR --%>
            <c:if test="${doneAsClose}">
               <mon:Button name="actionButton"
                  onclick="javascript:window.close()">
                  <fmt:message key='application.button.done.txt' />
               </mon:Button>
            </c:if>

            <c:if test="${!doneAsClose}">

               <c:if test="${ok}">
                  <mon:Button onclick="doSave('save')">
                     <fmt:message key='okButton.txt' />
                  </mon:Button>
               </c:if>


               <c:if test="${!comingFromEvent}">
                  <c:forEach var="action" items="${workflowStatuses}" varStatus="status">   
                     <mon:Button name="actionButton${status.count}" onclick="lockCommandButtons(); beginWait(); doWorkflowStatus('${action.actionId}', '${action.activityId}', '${action.statusId}', '${action.confirmation}')">
                        <c:out value="${action.name}"/>
                     </mon:Button>
                  </c:forEach>
               </c:if>


<% if(!WorkflowUtil.isIncidentWorkflowConfigured()){ %>               
               <c:if test="${canSend}">
                  <mon:Button onclick="doSave('sendForApproval')">
                     <fmt:message key='application.button.send.txt' />
                  </mon:Button>
               </c:if>


               <c:if test="${canValidate}">
                  <mon:Button name="actionButton"
                     onclick="doSave('accept')">
                     <fmt:message key='application.button.validate.txt' />
                  </mon:Button>
               </c:if>

               <c:if test="${canReturn}">
                  <mon:Button name="actionButton"
                     onclick="doSave('reject')">
                     <fmt:message key='application.button.return.txt' />
                  </mon:Button>
               </c:if>
<%} %>
               <%-- ok and cancel buttons --%>
               <c:if test="${!cancel}">
                  <mon:Button name="actionButton"
                     onclick="doFinancialEffect('cancel')">
                     <fmt:message key='application.button.done.txt' />
                  </mon:Button>
               </c:if>

               <c:if test="${cancel}">
                  <mon:Button name="actionButton"
                     onclick="doFinancialEffect('cancel')">
                     <fmt:message key='cancelButton.txt' />
                  </mon:Button>
               </c:if>

            </c:if>
            <%-- END TOOL BAR --%>
         </mon:ToolBar>

         <mon:Content>
            <%-- BEGIN CONTENT --%>
            <input type="hidden" name="method" value="refresh" />

            <html:hidden property="financialImpactRk" />
            <html:hidden property="referenceNo" />
            <html:hidden property="impactTypeCd" />
            <html:hidden property="isAllocationFlg" />
            <html:hidden property="handle" />
            <!--      <html:hidden property="linkedEvent" />-->
            <html:hidden property="draftFlg" />
            <html:hidden property="combinedConfidentialityCd" />
            <html:hidden property="validationStateCd" />
            <html:hidden property="cachedParentEvent" />
            <html:hidden property="guessedEventShortDesc" />
            <html:hidden property="isNearMiss" />
            <html:hidden property="sharedLossFlg" />
            <html:hidden property="threshold" />
            <html:hidden property="isFresh" />
            <html:hidden property="guessedEventDesc" />
            <html:hidden property="guessedEventShortDesc" />
            <html:hidden property="comingFromEvent" />
            <html:hidden property="doneAsClose"
               value="<%= doneAsCloseValue %>" />

            <%-- render the screen --%>
            <cpb:screen screenID="${financialEffectForm.screenId}"
               readOnly="<%= readOnly %>" />
            <%-- END CONTENT --%>
         </mon:Content>

      </html:form>

      <%-- END BODY --%>
   </mon:Body>

   <%-- END PAGE --%>
</mon:Page>
